gtkmm: Gtk::Box_Helpers::Child Class Reference

gtkmm 2.24.5

Public Member Functions | Protected Member Functions | List of all members
Gtk::Box_Helpers::Child Class Reference

Inherits _GtkBoxChild.

## Public Member Functions
_GtkBoxChild* | gobj ()
| Provides access to the underlying C GObject. More...
const _GtkBoxChild* | gobj () const
| Provides access to the underlying C GObject. More...
Widget* | get_widget () const
guint16 | get_padding () const
bool | get_expand () const
bool | get_fill () const
bool | get_pack () const
void | set_options (PackOptions options, guint padding=0)
void | set_options (bool expand, bool fill, guint padding=0)
void | set_pack (PackType pack)

## Protected Member Functions
GtkBox* | parent ()
void | redraw ()

## Member Function Documentation

## ◆ get_expand()

bool Gtk::Box_Helpers::Child::get_expand | ( |  | ) | const
| inline

## ◆ get_fill()

bool Gtk::Box_Helpers::Child::get_fill | ( |  | ) | const
| inline

## ◆ get_pack()

bool Gtk::Box_Helpers::Child::get_pack | ( |  | ) | const
| inline

## ◆ get_padding()

guint16 Gtk::Box_Helpers::Child::get_padding | ( |  | ) | const
| inline

## ◆ get_widget()

Widget* Gtk::Box_Helpers::Child::get_widget | ( |  | ) | const

## ◆ gobj() [1/2]

_GtkBoxChild* Gtk::Box_Helpers::Child::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const _GtkBoxChild* Gtk::Box_Helpers::Child::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ parent()

GtkBox* Gtk::Box_Helpers::Child::parent | ( |  | ) |
| inlineprotected

## ◆ redraw()

void Gtk::Box_Helpers::Child::redraw | ( |  | ) |
| protected

## ◆ set_options() [1/2]

void Gtk::Box_Helpers::Child::set_options | ( | PackOptions | options,
|  | guint | padding = `0`
| ) |  |

## ◆ set_options() [2/2]

void Gtk::Box_Helpers::Child::set_options | ( | bool | expand,
|  | bool | fill,
|  | guint | padding = `0`
| ) |  |

## ◆ set_pack()

void Gtk::Box_Helpers::Child::set_pack | ( | PackType | pack | ) |

The documentation for this class was generated from the following file:

- gtkmm/box.h